From: "Kent Fredric" <kentfredric@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/Devel-Cover/
Date: Tue, 27 Mar 2012 09:30:31 +0000 (UTC) [thread overview]
Message-ID: <1332827318.44b98554510f911127b96cc945845ecbb4419045.kent@gentoo> (raw)
commit: 44b98554510f911127b96cc945845ecbb4419045
Author: Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Tue Mar 27 05:48:38 2012 +0000
Commit: Kent Fredric <kentfredric <AT> gmail <DOT> com>
CommitDate: Tue Mar 27 05:48:38 2012 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/perl-overlay.git;a=commit;h=44b98554
[newversion] Devel-Cover-0.820.0
(Portage version: 2.2.0_alpha95/git/Linux x86_64, signed Manifest commit with key 4132B87441EA24A4EB5E6DE181EC638ED7AE97A6)
---
dev-perl/Devel-Cover/ChangeLog | 8 ++++-
dev-perl/Devel-Cover/Devel-Cover-0.820.0.ebuild | 40 +++++++++++++++++++++++
2 files changed, 47 insertions(+), 1 deletions(-)
diff --git a/dev-perl/Devel-Cover/ChangeLog b/dev-perl/Devel-Cover/ChangeLog
index b4f0107..2b4d3d3 100644
--- a/dev-perl/Devel-Cover/ChangeLog
+++ b/dev-perl/Devel-Cover/ChangeLog
@@ -1,7 +1,13 @@
# ChangeLog for dev-perl/Devel-Cover
-# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*Devel-Cover-0.820.0 (27 Mar 2012)
+
+ 27 Mar 2012; Kent Fredric <kentfredric@gmail.com>
+ +Devel-Cover-0.820.0.ebuild:
+ Version Bump
+
*Devel-Cover-0.790.0 (26 Aug 2011)
26 Aug 2011; Kent Fredric <kentfredric@gmail.com>
diff --git a/dev-perl/Devel-Cover/Devel-Cover-0.820.0.ebuild b/dev-perl/Devel-Cover/Devel-Cover-0.820.0.ebuild
new file mode 100644
index 0000000..3f6148c
--- /dev/null
+++ b/dev-perl/Devel-Cover/Devel-Cover-0.820.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+EAPI=4
+MODULE_AUTHOR=PJCJ
+MODULE_VERSION=0.82
+inherit perl-module
+
+DESCRIPTION='Code coverage metrics for Perl'
+LICENSE=" || ( Artistic GPL-2 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+perl_meta_configure() {
+ # ExtUtils::MakeMaker
+ echo virtual/perl-ExtUtils-MakeMaker
+}
+perl_meta_runtime() {
+ # Digest::MD5
+ echo virtual/perl-Digest-MD5
+ # Storable
+ echo virtual/perl-Storable
+ # perl 5.006001 ( 5.6.1 )
+ echo \>=dev-lang/perl-5.6.1
+}
+perl_meta_test() {
+ # Test::More
+ echo virtual/perl-Test-Simple
+ # Test::Warn
+ echo dev-perl/Test-Warn
+}
+DEPEND="
+ $(perl_meta_configure)
+ $(perl_meta_runtime)
+ test? ( $(perl_meta_test) )
+"
+RDEPEND="
+ $(perl_meta_runtime)
+"
+SRC_TEST="do"
next reply other threads:[~2012-03-27 9:33 UTC|newest]
Thread overview: 25+ messages / expand[flat|nested] mbox.gz Atom feed top
2012-03-27 9:30 Kent Fredric [this message]
-- strict thread matches above, loose matches on Subject: below --
2015-03-29 10:28 [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/Devel-Cover/ Kent Fredric
2015-03-27 16:23 Kent Fredric
2015-03-27 16:23 Kent Fredric
2015-02-12 12:06 Kent Fredric
2013-10-10 10:09 Kent Fredric
2013-10-10 10:09 Kent Fredric
2013-10-10 9:34 Kent Fredric
2013-04-28 14:06 Kent Fredric
2013-02-08 10:36 Kent Fredric
2013-02-08 10:36 Kent Fredric
2012-11-22 2:19 Kent Fredric
2012-11-20 22:54 Kent Fredric
2012-10-27 14:04 Kent Fredric
2012-08-08 10:32 Kent Fredric
2012-07-29 6:24 Kent Fredric
2012-06-23 14:09 Kent Fredric
2012-06-08 20:39 Kent Fredric
2012-04-10 10:04 Kent Fredric
2012-04-06 20:43 Kent Fredric
2011-08-26 16:03 Kent Fredric
2011-05-23 5:21 Kent Fredric
2011-04-23 14:47 [gentoo-commits] proj/perl-overlay:perl514virtuals " Kent Fredric
2011-04-23 14:45 ` [gentoo-commits] proj/perl-overlay:master " Kent Fredric
2011-04-20 16:25 Kent Fredric
2011-04-20 16:25 Kent Fredric
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1332827318.44b98554510f911127b96cc945845ecbb4419045.kent@gentoo \
--to=kentfredric@gmail.com \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox